
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * TextItemInstance/setText, getText does not work properly
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that getText does not work properly when using
 * TextItemInstance/setText
 */
public class Regression_121019 extends EngineCase
{

	private final static String INPUT = "regression_121019.rptdesign";
	private final static String OUTPUT = "regression_121019.html";

	public void test_Regression_121019( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );
		Object obj = super.engineTask.getAppContext( ).get( "text" );
		assertTrue( obj instanceof String );
		assertEquals( "actuate", obj );

	}
}